#version 330

precision highp float;

uniform float step;

in vec2 vTexCoord;

out vec4 vColor;

float rand(vec2 co);

void main()
{
    vColor.a = 1.0;
    if(rand(vTexCoord.st*vec2(1.1)) > step)
        vColor.rgb = vec3(1.0);
    else
        vColor.rgb = vec3(0.0);
}


float rand(vec2 co)
{
	return fract(sin(dot(co.xy ,vec2(12.9898,78.233))) * 43758.5453);
}